Bug 106696 - LTC4858-Cannot determind if PFIX support on or off with 64 bit systems.
LTC4858-Cannot determind if PFIX support on or off with 64 bit systems.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-10-09 13:55 EDT by Duane Beyer
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-20 13:04:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Duane Beyer 2003-10-09 13:55:32 EDT
The following has be reported by IBM LTC:  
Cannot determind  if PFIX support  on or off with 64 bit systems.
Hardware Environment:z/900

Software Environment:RHEL-3 RC1

Steps to Reproduce:
1.When running Linux as a VM Guest,  add OPTION DIAG98 in the VM directory for 
the guest.
2.IPL the REDHAT RHEL3 Guest

Actual Results:  System IPL's but there is not message stating if PFIX is 
supported or not.

Expected Results: On a 31 bit system get the following:
     With Diag98 option the following appeared on the console. 
	This machine has PFIX support
     Without Diag98 set got the following message:
	This machine has no PFIX support 

Additional Information:  Need to be able to Determind on a 64 bit system if 
PFIX support is on or off on 64 bit systems.
Comment 2 Matt Wilson 2003-10-09 14:14:17 EDT
Please contact schwidefsky@de.ibm.com

# 03/06/27	schwidefsky@de.ibm.com	1.1003.10.3
# [PATCH] s390 base update
# s/390 base fixes:
#  - docu: Correct description of 3270 device nodes
#  - arch: Do reate_proc_entry for debug feature outside spin locked code.
#  - arch: Set CR5 to get program checks for space switching instructions.
#  - arch: Use sig_exit in 64 bit signal handler.
#  - arch: Avoid warning in idals.h.
#  - arch: Do pfix early in the boot process. No pfix for 64 bit.
#  - arch: Fix linker output format for 64 bit kernels.
#  - arch: Fix race condition in dirty bit clearing.
#  - arch: Fix deadlock in pgd_populate.


Note You need to log in before you can comment on or make changes to this bug.